Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Public Attributes | Protected Member Functions | Private Slots | Private Attributes | List of all members
LoggerWidget Class Reference

Implementation of the logger Widget. More...

`#include <OpenFlipper/widgets/loggerWidget/loggerWidget.hh>`

Inheritance diagram for LoggerWidget:

## Public Member Functions
| LoggerWidget (QWidget *parent=0)
void | append (const QString &_text, Logtype _type)
| Append a new logmessage to log viewer. More...

## Public Attributes
QAction * | openMeshFilterAction_

## Protected Member Functions
void | keyPressEvent (QKeyEvent *_event)
| Grab key events. More...
void | contextMenuEvent (QContextMenuEvent *event)
| Show context menu. More...
void | showEvent (QShowEvent *event)
| Called when the widget is shown. More...

## Private Slots
void | updateList ()
| update the list if a button was pressed
void | copySelected ()
| copy Selected rows to clipboard
void | slotScrollUpdate ()
| Called when we want to scroll to the bottom.
void | slotFilterMenu ()
| Called when filter button is pressed.

## Private Attributes
QListWidget * | list_
bool | blockNext_
QPushButton * | allButton_
QPushButton * | infoButton_
QPushButton * | warnButton_
QPushButton * | errorButton_
QPushButton * | filterButton_
QPushButton * | clearButton_
QMenu * | context_
QMenu * | filterMenu_
QTimer | loggerUpdateTimer_
bool | newData_

## Detailed Description

Implementation of the logger Widget.

This class adds some special features to the textedit for the log window

Definition at line 70 of file loggerWidget.hh.

## Member Function Documentation

void LoggerWidget::append | ( | const QString & | _text,
|  | Logtype | _type
| ) |  |

Append a new logmessage to log viewer.

Display log message of given logtype

Definition at line 191 of file loggerWidget.cc.

void LoggerWidget::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| protected

Show context menu.

show context menu

This function shows the context menu

Definition at line 329 of file loggerWidget.cc.

void LoggerWidget::keyPressEvent | ( | QKeyEvent * | _event | ) |
| protected

Grab key events.

handle keyPressEvents

This function grabs all key events and passes them back to the core to handle them correctly

Definition at line 314 of file loggerWidget.cc.

void LoggerWidget::showEvent | ( | QShowEvent * | event | ) |
| protected

Called when the widget is shown.

Function scrolls to bottom if the object gets visible

Definition at line 307 of file loggerWidget.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/loggerWidget/loggerWidget.hh
- OpenFlipper/widgets/loggerWidget/loggerWidget.cc